import { useFilterStore } from "@core/Store/Filter.Store";
import { useRouter } from "next/navigation";

export const useNavigation = () => {
    const filter = useFilterStore();
    const router = useRouter();

    const goTo = (path: string) => {
        router.push(path);
        filter.clear();
    };

    return { goTo };
};
